Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.opengl
Class QGL.FormatOption

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.opengl.QGL.FormatOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  QGL

    public static final class QGL.FormatOption

extends java.lang.Enum
implements QtEnumerator

This enum specifies the format options that can be used to configure an `OpenGL` context. These are set using QGLFormat::setOption().

See also:
  Sample Buffers Example.

See Also:
  Serialized Form

Field Summary
`static QGL.FormatOption` | `AccumBuffer` Enables the use of an accumulation buffer.
`static QGL.FormatOption` | `AlphaChannel` Enables the use of an alpha channel.
`static QGL.FormatOption` | `ColorIndex` Specifies that the context should use a color index as its pixel format.
`static QGL.FormatOption` | `DepthBuffer` Enables the use of a depth buffer.
`static QGL.FormatOption` | `DirectRendering` Specifies that the context is used for direct rendering to a display.
`static QGL.FormatOption` | `DoubleBuffer` Specifies the use of double buffering.
`static QGL.FormatOption` | `HasOverlay` Enables the use of an overlay.
`static QGL.FormatOption` | `IndirectRendering` Specifies that the context is used for indirect rendering to a buffer.
`static QGL.FormatOption` | `NoAccumBuffer` Disables the use of an accumulation buffer.
`static QGL.FormatOption` | `NoAlphaChannel` Disables the use of an alpha channel.
`static QGL.FormatOption` | `NoDepthBuffer` Disables the use of a depth buffer.
`static QGL.FormatOption` | `NoOverlay` Disables the use of an overlay.
`static QGL.FormatOption` | `NoSampleBuffers` Disables the use of sample buffers.
`static QGL.FormatOption` | `NoStencilBuffer` Disables the use of a stencil buffer.
`static QGL.FormatOption` | `NoStereoBuffers` Disables the use of stereo buffers.
`static QGL.FormatOption` | `Rgba` Specifies that the context should use RGBA as its pixel format.
`static QGL.FormatOption` | `SampleBuffers` Enables the use of sample buffers.
`static QGL.FormatOption` | `SingleBuffer` Specifies the use of a single buffer, as opposed to double buffers.
`static QGL.FormatOption` | `StencilBuffer` Enables the use of a stencil buffer.
`static QGL.FormatOption` | `StereoBuffers` Enables the use of a stereo buffers for use with visualization hardware.

Method Summary
`static QGL.FormatOptions` | `createQFlags(QGL.FormatOption[] values)` This function creates a com.trolltech.qt.opengl.QGL$FormatOptions with the specified `com.trolltech.qt.opengl.QGL$FormatOption[]` FormatOption values set.
`static QGL.FormatOption` | `resolve(int value)` Returns the FormatOption constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGL.FormatOption` | `valueOf(java.lang.String name)`
`static QGL.FormatOption[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DoubleBuffer

    public static final QGL.FormatOption DoubleBuffer

  Specifies the use of double buffering.

### DepthBuffer

    public static final QGL.FormatOption DepthBuffer

  Enables the use of a depth buffer.

### Rgba

    public static final QGL.FormatOption Rgba

  Specifies that the context should use RGBA as its pixel format.

### AlphaChannel

    public static final QGL.FormatOption AlphaChannel

  Enables the use of an alpha channel.

### AccumBuffer

    public static final QGL.FormatOption AccumBuffer

  Enables the use of an accumulation buffer.

### StencilBuffer

    public static final QGL.FormatOption StencilBuffer

  Enables the use of a stencil buffer.

### StereoBuffers

    public static final QGL.FormatOption StereoBuffers

  Enables the use of a stereo buffers for use with visualization hardware.

### DirectRendering

    public static final QGL.FormatOption DirectRendering

  Specifies that the context is used for direct rendering to a display.

### HasOverlay

    public static final QGL.FormatOption HasOverlay

  Enables the use of an overlay.

### SampleBuffers

    public static final QGL.FormatOption SampleBuffers

  Enables the use of sample buffers.

### SingleBuffer

    public static final QGL.FormatOption SingleBuffer

  Specifies the use of a single buffer, as opposed to double buffers.

### NoDepthBuffer

    public static final QGL.FormatOption NoDepthBuffer

  Disables the use of a depth buffer.

### ColorIndex

    public static final QGL.FormatOption ColorIndex

  Specifies that the context should use a color index as its pixel format.

### NoAlphaChannel

    public static final QGL.FormatOption NoAlphaChannel

  Disables the use of an alpha channel.

### NoAccumBuffer

    public static final QGL.FormatOption NoAccumBuffer

  Disables the use of an accumulation buffer.

### NoStencilBuffer

    public static final QGL.FormatOption NoStencilBuffer

  Disables the use of a stencil buffer.

### NoStereoBuffers

    public static final QGL.FormatOption NoStereoBuffers

  Disables the use of stereo buffers.

### IndirectRendering

    public static final QGL.FormatOption IndirectRendering

  Specifies that the context is used for indirect rendering to a buffer.

### NoOverlay

    public static final QGL.FormatOption NoOverlay

  Disables the use of an overlay.

### NoSampleBuffers

    public static final QGL.FormatOption NoSampleBuffers

  Disables the use of sample buffers.

Method Detail

### values

    public static QGL.FormatOption[] values()

### valueOf

    public static QGL.FormatOption valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QGL.FormatOptions createQFlags(QGL.FormatOption[] values)

  This function creates a com.trolltech.qt.opengl.QGL$FormatOptions with the specified `com.trolltech.qt.opengl.QGL$FormatOption[]` FormatOption values set.

### resolve

    public static QGL.FormatOption resolve(int value)

  Returns the FormatOption constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD